--- a/java/com/tigervnc/rfb/UnicodeToKeysym.java	2017-03-13 20:48:16.256781366 +0000
+++ b/java/com/tigervnc/rfb/UnicodeToKeysym.java	2017-03-13 21:44:09.074975143 +0000
@@ -448,365 +448,365 @@
   /*  0x08b5                         toprightsummation ? ??? */
   /*  0x08b6                         botrightsummation ? ??? */
   /*  0x08b7                      rightmiddlesummation ? ??? */
-    new codepair(0x08bc, 0x2264), /*               lessthanequal ≤ LESS-THAN OR EQUAL TO */
-    new codepair(0x08bd, 0x2260), /*                    notequal ≠ NOT EQUAL TO */
-    new codepair(0x08be, 0x2265), /*            greaterthanequal ≥ GREATER-THAN OR EQUAL TO */
-    new codepair(0x08bf, 0x222b), /*                    integral ∫ INTEGRAL */
-    new codepair(0x08c0, 0x2234), /*                   therefore ∴ THEREFORE */
-    new codepair(0x08c1, 0x221d), /*                   variation ∝ PROPORTIONAL TO */
-    new codepair(0x08c2, 0x221e), /*                    infinity ∞ INFINITY */
-    new codepair(0x08c5, 0x2207), /*                       nabla ∇ NABLA */
-    new codepair(0x08c8, 0x223c), /*                 approximate ∼ TILDE OPERATOR */
-    new codepair(0x08c9, 0x2243), /*                similarequal ≃ ASYMPTOTICALLY EQUAL TO */
-    new codepair(0x08cd, 0x21d4), /*                    ifonlyif ⇔ LEFT RIGHT DOUBLE ARROW */
-    new codepair(0x08ce, 0x21d2), /*                     implies ⇒ RIGHTWARDS DOUBLE ARROW */
-    new codepair(0x08cf, 0x2261), /*                   identical ≡ IDENTICAL TO */
-    new codepair(0x08d6, 0x221a), /*                     radical √ SQUARE ROOT */
-    new codepair(0x08da, 0x2282), /*                  includedin ⊂ SUBSET OF */
-    new codepair(0x08db, 0x2283), /*                    includes ⊃ SUPERSET OF */
-    new codepair(0x08dc, 0x2229), /*                intersection ∩ INTERSECTION */
-    new codepair(0x08dd, 0x222a), /*                       union ∪ UNION */
-    new codepair(0x08de, 0x2227), /*                  logicaland ∧ LOGICAL AND */
-    new codepair(0x08df, 0x2228), /*                   logicalor ∨ LOGICAL OR */
-    new codepair(0x08ef, 0x2202), /*           partialderivative ∂ PARTIAL DIFFERENTIAL */
-    new codepair(0x08f6, 0x0192), /*                    function ƒ LATIN SMALL LETTER F WITH HOOK */
-    new codepair(0x08fb, 0x2190), /*                   leftarrow ← LEFTWARDS ARROW */
-    new codepair(0x08fc, 0x2191), /*                     uparrow ↑ UPWARDS ARROW */
-    new codepair(0x08fd, 0x2192), /*                  rightarrow → RIGHTWARDS ARROW */
-    new codepair(0x08fe, 0x2193), /*                   downarrow ↓ DOWNWARDS ARROW */
+    new codepair(0x08bc, 0x2264), /*               lessthanequal ESS-THAN OR EQUAL TO */
+    new codepair(0x08bd, 0x2260), /*                    notequal OT EQUAL TO */
+    new codepair(0x08be, 0x2265), /*            greaterthanequal REATER-THAN OR EQUAL TO */
+    new codepair(0x08bf, 0x222b), /*                    integral NTEGRAL */
+    new codepair(0x08c0, 0x2234), /*                   therefore HEREFORE */
+    new codepair(0x08c1, 0x221d), /*                   variation ROPORTIONAL TO */
+    new codepair(0x08c2, 0x221e), /*                    infinity NFINITY */
+    new codepair(0x08c5, 0x2207), /*                       nabla ABLA */
+    new codepair(0x08c8, 0x223c), /*                 approximate ILDE OPERATOR */
+    new codepair(0x08c9, 0x2243), /*                similarequal SYMPTOTICALLY EQUAL TO */
+    new codepair(0x08cd, 0x21d4), /*                    ifonlyif EFT RIGHT DOUBLE ARROW */
+    new codepair(0x08ce, 0x21d2), /*                     implies IGHTWARDS DOUBLE ARROW */
+    new codepair(0x08cf, 0x2261), /*                   identical DENTICAL TO */
+    new codepair(0x08d6, 0x221a), /*                     radical QUARE ROOT */
+    new codepair(0x08da, 0x2282), /*                  includedin UBSET OF */
+    new codepair(0x08db, 0x2283), /*                    includes UPERSET OF */
+    new codepair(0x08dc, 0x2229), /*                intersection NTERSECTION */
+    new codepair(0x08dd, 0x222a), /*                       union NION */
+    new codepair(0x08de, 0x2227), /*                  logicaland OGICAL AND */
+    new codepair(0x08df, 0x2228), /*                   logicalor OGICAL OR */
+    new codepair(0x08ef, 0x2202), /*           partialderivative ARTIAL DIFFERENTIAL */
+    new codepair(0x08f6, 0x0192), /*                    function TIN SMALL LETTER F WITH HOOK */
+    new codepair(0x08fb, 0x2190), /*                   leftarrow EFTWARDS ARROW */
+    new codepair(0x08fc, 0x2191), /*                     uparrow PWARDS ARROW */
+    new codepair(0x08fd, 0x2192), /*                  rightarrow IGHTWARDS ARROW */
+    new codepair(0x08fe, 0x2193), /*                   downarrow OWNWARDS ARROW */
   /*  0x09df                                     blank ? ??? */
-    new codepair(0x09e0, 0x25c6), /*                soliddiamond ◆ BLACK DIAMOND */
-    new codepair(0x09e1, 0x2592), /*                checkerboard ▒ MEDIUM SHADE */
-    new codepair(0x09e2, 0x2409), /*                          ht ␉ SYMBOL FOR HORIZONTAL TABULATION */
-    new codepair(0x09e3, 0x240c), /*                          ff ␌ SYMBOL FOR FORM FEED */
-    new codepair(0x09e4, 0x240d), /*                          cr ␍ SYMBOL FOR CARRIAGE RETURN */
-    new codepair(0x09e5, 0x240a), /*                          lf ␊ SYMBOL FOR LINE FEED */
-    new codepair(0x09e8, 0x2424), /*                          nl ␤ SYMBOL FOR NEWLINE */
-    new codepair(0x09e9, 0x240b), /*                          vt ␋ SYMBOL FOR VERTICAL TABULATION */
-    new codepair(0x09ea, 0x2518), /*              lowrightcorner ┘ BOX DRAWINGS LIGHT UP AND LEFT */
-    new codepair(0x09eb, 0x2510), /*               uprightcorner ┐ BOX DRAWINGS LIGHT DOWN AND LEFT */
-    new codepair(0x09ec, 0x250c), /*                upleftcorner ┌ BOX DRAWINGS LIGHT DOWN AND RIGHT */
-    new codepair(0x09ed, 0x2514), /*               lowleftcorner └ BOX DRAWINGS LIGHT UP AND RIGHT */
-    new codepair(0x09ee, 0x253c), /*               crossinglines ┼ BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL */
-    new codepair(0x09ef, 0x23ba), /*              horizlinescan1 ⎺ HORIZONTAL SCAN LINE-1 (Unicode 3.2 draft) */
-    new codepair(0x09f0, 0x23bb), /*              horizlinescan3 ⎻ HORIZONTAL SCAN LINE-3 (Unicode 3.2 draft) */
-    new codepair(0x09f1, 0x2500), /*              horizlinescan5 ─ BOX DRAWINGS LIGHT HORIZONTAL */
-    new codepair(0x09f2, 0x23bc), /*              horizlinescan7 ⎼ HORIZONTAL SCAN LINE-7 (Unicode 3.2 draft) */
-    new codepair(0x09f3, 0x23bd), /*              horizlinescan9 ⎽ HORIZONTAL SCAN LINE-9 (Unicode 3.2 draft) */
-    new codepair(0x09f4, 0x251c), /*                       leftt ├ BOX DRAWINGS LIGHT VERTICAL AND RIGHT */
-    new codepair(0x09f5, 0x2524), /*                      rightt ┤ BOX DRAWINGS LIGHT VERTICAL AND LEFT */
-    new codepair(0x09f6, 0x2534), /*                        bott ┴ BOX DRAWINGS LIGHT UP AND HORIZONTAL */
-    new codepair(0x09f7, 0x252c), /*                        topt ┬ BOX DRAWINGS LIGHT DOWN AND HORIZONTAL */
-    new codepair(0x09f8, 0x2502), /*                     vertbar │ BOX DRAWINGS LIGHT VERTICAL */
-    new codepair(0x0aa1, 0x2003), /*                     emspace   EM SPACE */
-    new codepair(0x0aa2, 0x2002), /*                     enspace   EN SPACE */
-    new codepair(0x0aa3, 0x2004), /*                    em3space   THREE-PER-EM SPACE */
-    new codepair(0x0aa4, 0x2005), /*                    em4space   FOUR-PER-EM SPACE */
-    new codepair(0x0aa5, 0x2007), /*                  digitspace   FIGURE SPACE */
-    new codepair(0x0aa6, 0x2008), /*                  punctspace   PUNCTUATION SPACE */
-    new codepair(0x0aa7, 0x2009), /*                   thinspace   THIN SPACE */
-    new codepair(0x0aa8, 0x200a), /*                   hairspace   HAIR SPACE */
-    new codepair(0x0aa9, 0x2014), /*                      emdash — EM DASH */
-    new codepair(0x0aaa, 0x2013), /*                      endash – EN DASH */
+    new codepair(0x09e0, 0x25c6), /*                soliddiamLACK DIAMOND */
+    new codepair(0x09e1, 0x2592), /*                checkerboard MEDIUM SHADE */
+    new codepair(0x09e2, 0x2409), /*                          ht YMBOL FOR HORIZONTAL TABULATION */
+    new codepair(0x09e3, 0x240c), /*                          ff YMBOL FOR FORM FEED */
+    new codepair(0x09e4, 0x240d), /*                          cr YMBOL FOR CARRIAGE RETURN */
+    new codepair(0x09e5, 0x240a), /*                          lf YMBOL FOR LINE FEED */
+    new codepair(0x09e8, 0x2424), /*                          nl YMBOL FOR NEWLINE */
+    new codepair(0x09e9, 0x240b), /*                          vt YMBOL FOR VERTICAL TABULATION */
+    new codepair(0x09ea, 0x2518), /*              lowrightcorner OX DRAWINGS LIGHT UP AND LEFT */
+    new codepair(0x09eb, 0x2510), /*               uprightcorner OX DRAWINGS LIGHT DOWN AND LEFT */
+    new codepair(0x09ec, 0x250c), /*                upleftcorner OX DRAWINGS LIGHT DOWN AND RIGHT */
+    new codepair(0x09ed, 0x2514), /*               lowleftcorner OX DRAWINGS LIGHT UP AND RIGHT */
+    new codepair(0x09ee, 0x253c), /*               crossinglines OX DRAWINGS LIGHT VERTICAL AND HORIZONTAL */
+    new codepair(0x09ef, 0x23ba), /*              horizlinescan1 ORIZONTAL SCAN LINE-1 (Unicode 3.2 draft) */
+    new codepair(0x09f0, 0x23bb), /*              horizlinescan3 ORIZONTAL SCAN LINE-3 (Unicode 3.2 draft) */
+    new codepair(0x09f1, 0x2500), /*              horizlinescan5 OX DRAWINGS LIGHT HORIZONTAL */
+    new codepair(0x09f2, 0x23bc), /*              horizlinescan7 ORIZONTAL SCAN LINE-7 (Unicode 3.2 draft) */
+    new codepair(0x09f3, 0x23bd), /*              horizlinescan9 ORIZONTAL SCAN LINE-9 (Unicode 3.2 draft) */
+    new codepair(0x09f4, 0x251c), /*                       leftt OX DRAWINGS LIGHT VERTICAL AND RIGHT */
+    new codepair(0x09f5, 0x2524), /*                      rightt OX DRAWINGS LIGHT VERTICAL AND LEFT */
+    new codepair(0x09f6, 0x2534), /*                        bott OX DRAWINGS LIGHT UP AND HORIZONTAL */
+    new codepair(0x09f7, 0x252c), /*                        topt OX DRAWINGS LIGHT DOWN AND HORIZONTAL */
+    new codepair(0x09f8, 0x2502), /*                     vertbar OX DRAWINGS LIGHT VERTICAL */
+    new codepair(0x0aa1, 0x2003), /*                     emspace M SPACE */
+    new codepair(0x0aa2, 0x2002), /*                     enspace N SPACE */
+    new codepair(0x0aa3, 0x2004), /*                    em3space HREE-PER-EM SPACE */
+    new codepair(0x0aa4, 0x2005), /*                    em4space OUR-PER-EM SPACE */
+    new codepair(0x0aa5, 0x2007), /*                  digitspace IGURE SPACE */
+    new codepair(0x0aa6, 0x2008), /*                  punctspace UNCTUATION SPACE */
+    new codepair(0x0aa7, 0x2009), /*                   thinspace HIN SPACE */
+    new codepair(0x0aa8, 0x200a), /*                   hairspace AIR SPACE */
+    new codepair(0x0aa9, 0x2014), /*                      emdash M DASH */
+    new codepair(0x0aaa, 0x2013), /*                      endash N DASH */
   /*  0x0aac                               signifblank ? ??? */
-    new codepair(0x0aae, 0x2026), /*                    ellipsis … HORIZONTAL ELLIPSIS */
-    new codepair(0x0aaf, 0x2025), /*             doubbaselinedot ‥ TWO DOT LEADER */
-    new codepair(0x0ab0, 0x2153), /*                    onethird ⅓ VULGAR FRACTION ONE THIRD */
-    new codepair(0x0ab1, 0x2154), /*                   twothirds ⅔ VULGAR FRACTION TWO THIRDS */
-    new codepair(0x0ab2, 0x2155), /*                    onefifth ⅕ VULGAR FRACTION ONE FIFTH */
-    new codepair(0x0ab3, 0x2156), /*                   twofifths ⅖ VULGAR FRACTION TWO FIFTHS */
-    new codepair(0x0ab4, 0x2157), /*                 threefifths ⅗ VULGAR FRACTION THREE FIFTHS */
-    new codepair(0x0ab5, 0x2158), /*                  fourfifths ⅘ VULGAR FRACTION FOUR FIFTHS */
-    new codepair(0x0ab6, 0x2159), /*                    onesixth ⅙ VULGAR FRACTION ONE SIXTH */
-    new codepair(0x0ab7, 0x215a), /*                  fivesixths ⅚ VULGAR FRACTION FIVE SIXTHS */
-    new codepair(0x0ab8, 0x2105), /*                      careof ℅ CARE OF */
-    new codepair(0x0abb, 0x2012), /*                     figdash ‒ FIGURE DASH */
-    new codepair(0x0abc, 0x2329), /*            leftanglebracket 〈 LEFT-POINTING ANGLE BRACKET */
+    new codepair(0x0aae, 0x2026), /*                    ellipHORIZONTAL ELLIPSIS */
+    new codepair(0x0aaf, 0x2025), /*             doubbaselinedot WO DOT LEADER */
+    new codepair(0x0ab0, 0x2153), /*                    onethird ULGAR FRACTION ONE THIRD */
+    new codepair(0x0ab1, 0x2154), /*                   twothirds ULGAR FRACTION TWO THIRDS */
+    new codepair(0x0ab2, 0x2155), /*                    onefifth ULGAR FRACTION ONE FIFTH */
+    new codepair(0x0ab3, 0x2156), /*                   twofifths ULGAR FRACTION TWO FIFTHS */
+    new codepair(0x0ab4, 0x2157), /*                 threefifths ULGAR FRACTION THREE FIFTHS */
+    new codepair(0x0ab5, 0x2158), /*                  fourfifths ULGAR FRACTION FOUR FIFTHS */
+    new codepair(0x0ab6, 0x2159), /*                    onesixth ULGAR FRACTION ONE SIXTH */
+    new codepair(0x0ab7, 0x215a), /*                  fivesixths ULGAR FRACTION FIVE SIXTHS */
+    new codepair(0x0ab8, 0x2105), /*                      careof ARE OF */
+    new codepair(0x0abb, 0x2012), /*                     figdash IGURE DASH */
+    new codepair(0x0abc, 0x2329), /*            leftanglebracket EFT-POINTING ANGLE BRACKET */
   /*  0x0abd                              decimalpoint ? ??? */
-    new codepair(0x0abe, 0x232a), /*           rightanglebracket 〉 RIGHT-POINTING ANGLE BRACKET */
+    new codepair(0x0abe, 0x232a), /*           rightanglebracket IGHT-POINTING ANGLE BRACKET */
   /*  0x0abf                                    marker ? ??? */
-    new codepair(0x0ac3, 0x215b), /*                   oneeighth ⅛ VULGAR FRACTION ONE EIGHTH */
-    new codepair(0x0ac4, 0x215c), /*                threeeighths ⅜ VULGAR FRACTION THREE EIGHTHS */
-    new codepair(0x0ac5, 0x215d), /*                 fiveeighths ⅝ VULGAR FRACTION FIVE EIGHTHS */
-    new codepair(0x0ac6, 0x215e), /*                seveneighths ⅞ VULGAR FRACTION SEVEN EIGHTHS */
-    new codepair(0x0ac9, 0x2122), /*                   trademark ™ TRADE MARK SIGN */
-    new codepair(0x0aca, 0x2613), /*               signaturemark ☓ SALTIRE */
+    new codepair(0x0ac3, 0x215b), /*                   oneeighth ULGAR FRACTION ONE EIGHTH */
+    new codepair(0x0ac4, 0x215c), /*                threeeighths ULGAR FRACTION THREE EIGHTHS */
+    new codepair(0x0ac5, 0x215d), /*                 fiveeighths ULGAR FRACTION FIVE EIGHTHS */
+    new codepair(0x0ac6, 0x215e), /*                seveneighths ULGAR FRACTION SEVEN EIGHTHS */
+    new codepair(0x0ac9, 0x2122), /*                   trademark RADE MARK SIGN */
+    new codepair(0x0aca, 0x2613), /*               signaturemark ALTIRE */
   /*  0x0acb                         trademarkincircle ? ??? */
-    new codepair(0x0acc, 0x25c1), /*            leftopentriangle ◁ WHITE LEFT-POINTING TRIANGLE */
-    new codepair(0x0acd, 0x25b7), /*           rightopentriangle ▷ WHITE RIGHT-POINTING TRIANGLE */
-    new codepair(0x0ace, 0x25cb), /*                emopencircle ○ WHITE CIRCLE */
-    new codepair(0x0acf, 0x25af), /*             emopenrectangle ▯ WHITE VERTICAL RECTANGLE */
-    new codepair(0x0ad0, 0x2018), /*         leftsinglequotemark ‘ LEFT SINGLE QUOTATION MARK */
-    new codepair(0x0ad1, 0x2019), /*        rightsinglequotemark ’ RIGHT SINGLE QUOTATION MARK */
-    new codepair(0x0ad2, 0x201c), /*         leftdoublequotemark “ LEFT DOUBLE QUOTATION MARK */
-    new codepair(0x0ad3, 0x201d), /*        rightdoublequotemark ” RIGHT DOUBLE QUOTATION MARK */
-    new codepair(0x0ad4, 0x211e), /*                prescription ℞ PRESCRIPTION TAKE */
-    new codepair(0x0ad6, 0x2032), /*                     minutes ′ PRIME */
-    new codepair(0x0ad7, 0x2033), /*                     seconds ″ DOUBLE PRIME */
-    new codepair(0x0ad9, 0x271d), /*                  latincross ✝ LATIN CROSS */
+    new codepair(0x0acc, 0x25c1), /*            leftopentriangle HITE LEFT-POINTING TRIANGLE */
+    new codepair(0x0acd, 0x25b7), /*           rightopentriangle HITE RIGHT-POINTING TRIANGLE */
+    new codepair(0x0ace, 0x25cb), /*                emopencircle HITE CIRCLE */
+    new codepair(0x0acf, 0x25af), /*             emopenrectangle HITE VERTICAL RECTANGLE */
+    new codepair(0x0ad0, 0x2018), /*         leftsinglequotemark EFT SINGLE QUOTATION MARK */
+    new codepair(0x0ad1, 0x2019), /*        rightsinglequotemark IGHT SINGLE QUOTATION MARK */
+    new codepair(0x0ad2, 0x201c), /*         leftdoublequotemark EFT DOUBLE QUOTATION MARK */
+    new codepair(0x0ad3, 0x201d), /*        rightdoublequotemark IGHT DOUBLE QUOTATION MARK */
+    new codepair(0x0ad4, 0x211e), /*                prescription RESCRIPTION TAKE */
+    new codepair(0x0ad6, 0x2032), /*                     minutes RIME */
+    new codepair(0x0ad7, 0x2033), /*                     seconds OUBLE PRIME */
+    new codepair(0x0ad9, 0x271d), /*                  latincross ATIN CROSS */
   /*  0x0ada                                  hexagram ? ??? */
-    new codepair(0x0adb, 0x25ac), /*            filledrectbullet ▬ BLACK RECTANGLE */
-    new codepair(0x0adc, 0x25c0), /*         filledlefttribullet ◀ BLACK LEFT-POINTING TRIANGLE */
-    new codepair(0x0add, 0x25b6), /*        filledrighttribullet ▶ BLACK RIGHT-POINTING TRIANGLE */
-    new codepair(0x0ade, 0x25cf), /*              emfilledcircle ● BLACK CIRCLE */
-    new codepair(0x0adf, 0x25ae), /*                emfilledrect ▮ BLACK VERTICAL RECTANGLE */
-    new codepair(0x0ae0, 0x25e6), /*            enopencircbullet ◦ WHITE BULLET */
-    new codepair(0x0ae1, 0x25ab), /*          enopensquarebullet ▫ WHITE SMALL SQUARE */
-    new codepair(0x0ae2, 0x25ad), /*              openrectbullet ▭ WHITE RECTANGLE */
-    new codepair(0x0ae3, 0x25b3), /*             opentribulletup △ WHITE UP-POINTING TRIANGLE */
-    new codepair(0x0ae4, 0x25bd), /*           opentribulletdown ▽ WHITE DOWN-POINTING TRIANGLE */
-    new codepair(0x0ae5, 0x2606), /*                    openstar ☆ WHITE STAR */
-    new codepair(0x0ae6, 0x2022), /*          enfilledcircbullet • BULLET */
-    new codepair(0x0ae7, 0x25aa), /*            enfilledsqbullet ▪ BLACK SMALL SQUARE */
-    new codepair(0x0ae8, 0x25b2), /*           filledtribulletup ▲ BLACK UP-POINTING TRIANGLE */
-    new codepair(0x0ae9, 0x25bc), /*         filledtribulletdown ▼ BLACK DOWN-POINTING TRIANGLE */
-    new codepair(0x0aea, 0x261c), /*                 leftpointer ☜ WHITE LEFT POINTING INDEX */
-    new codepair(0x0aeb, 0x261e), /*                rightpointer ☞ WHITE RIGHT POINTING INDEX */
-    new codepair(0x0aec, 0x2663), /*                        club ♣ BLACK CLUB SUIT */
-    new codepair(0x0aed, 0x2666), /*                     diamond ♦ BLACK DIAMOND SUIT */
-    new codepair(0x0aee, 0x2665), /*                       heart ♥ BLACK HEART SUIT */
-    new codepair(0x0af0, 0x2720), /*                maltesecross ✠ MALTESE CROSS */
-    new codepair(0x0af1, 0x2020), /*                      dagger † DAGGER */
-    new codepair(0x0af2, 0x2021), /*                doubledagger ‡ DOUBLE DAGGER */
-    new codepair(0x0af3, 0x2713), /*                   checkmark ✓ CHECK MARK */
-    new codepair(0x0af4, 0x2717), /*                 ballotcross ✗ BALLOT X */
-    new codepair(0x0af5, 0x266f), /*                musicalsharp ♯ MUSIC SHARP SIGN */
-    new codepair(0x0af6, 0x266d), /*                 musicalflat ♭ MUSIC FLAT SIGN */
-    new codepair(0x0af7, 0x2642), /*                  malesymbol ♂ MALE SIGN */
-    new codepair(0x0af8, 0x2640), /*                femalesymbol ♀ FEMALE SIGN */
-    new codepair(0x0af9, 0x260e), /*                   telephone ☎ BLACK TELEPHONE */
-    new codepair(0x0afa, 0x2315), /*           telephonerecorder ⌕ TELEPHONE RECORDER */
-    new codepair(0x0afb, 0x2117), /*         phonographcopyright ℗ SOUND RECORDING COPYRIGHT */
-    new codepair(0x0afc, 0x2038), /*                       caret ‸ CARET */
-    new codepair(0x0afd, 0x201a), /*          singlelowquotemark ‚ SINGLE LOW-9 QUOTATION MARK */
-    new codepair(0x0afe, 0x201e), /*          doublelowquotemark „ DOUBLE LOW-9 QUOTATION MARK */
+    new codepair(0x0adb, 0x25ac), /*            filledrectbullet LACK RECTANGLE */
+    new codepair(0x0adc, 0x25c0), /*         filledlefttribullet LACK LEFT-POINTING TRIANGLE */
+    new codepair(0x0add, 0x25b6), /*        filledrighttribullet LACK RIGHT-POINTING TRIANGLE */
+    new codepair(0x0ade, 0x25cf), /*              emfilledcircle LACK CIRCLE */
+    new codepair(0x0adf, 0x25ae), /*                emfilledrect LACK VERTICAL RECTANGLE */
+    new codepair(0x0ae0, 0x25e6), /*            enopencircbullet HITE BULLET */
+    new codepair(0x0ae1, 0x25ab), /*          enopensquarebullet HITE SMALL SQUARE */
+    new codepair(0x0ae2, 0x25ad), /*              openrectbullet HITE RECTANGLE */
+    new codepair(0x0ae3, 0x25b3), /*             opentribulletup HITE UP-POINTING TRIANGLE */
+    new codepair(0x0ae4, 0x25bd), /*           opentribulletdown HITE DOWN-POINTING TRIANGLE */
+    new codepair(0x0ae5, 0x2606), /*                    openstar HITE STAR */
+    new codepair(0x0ae6, 0x2022), /*          enfilledcircbullet ULLET */
+    new codepair(0x0ae7, 0x25aa), /*            enfilledsqbullet LACK SMALL SQUARE */
+    new codepair(0x0ae8, 0x25b2), /*           filledtribulletup LACK UP-POINTING TRIANGLE */
+    new codepair(0x0ae9, 0x25bc), /*         filledtribulletdown LACK DOWN-POINTING TRIANGLE */
+    new codepair(0x0aea, 0x261c), /*                 leftpointer HITE LEFT POINTING INDEX */
+    new codepair(0x0aeb, 0x261e), /*                rightpointer HITE RIGHT POINTING INDEX */
+    new codepair(0x0aec, 0x2663), /*                        club LACK CLUB SUIT */
+    new codepair(0x0aed, 0x2666), /*                     diamond LACK DIAMOND SUIT */
+    new codepair(0x0aee, 0x2665), /*                       heart LACK HEART SUIT */
+    new codepair(0x0af0, 0x2720), /*                maltesecross ALTESE CROSS */
+    new codepair(0x0af1, 0x2020), /*                      dagger AGGER */
+    new codepair(0x0af2, 0x2021), /*                doubledagger OUBLE DAGGER */
+    new codepair(0x0af3, 0x2713), /*                   checkmark HECK MARK */
+    new codepair(0x0af4, 0x2717), /*                 ballotcross ALLOT X */
+    new codepair(0x0af5, 0x266f), /*                musicalsharp USIC SHARP SIGN */
+    new codepair(0x0af6, 0x266d), /*                 musicalflat USIC FLAT SIGN */
+    new codepair(0x0af7, 0x2642), /*                  malesymbol ALE SIGN */
+    new codepair(0x0af8, 0x2640), /*                femalesymbol EMALE SIGN */
+    new codepair(0x0af9, 0x260e), /*                   telephone LACK TELEPHONE */
+    new codepair(0x0afa, 0x2315), /*           telephonerecorder ELEPHONE RECORDER */
+    new codepair(0x0afb, 0x2117), /*         phonographcopyright OUND RECORDING COPYRIGHT */
+    new codepair(0x0afc, 0x2038), /*                       caret ARET */
+    new codepair(0x0afd, 0x201a), /*          singlelowquotemark INGLE LOW-9 QUOTATION MARK */
+    new codepair(0x0afe, 0x201e), /*          doublelowquotemark OUBLE LOW-9 QUOTATION MARK */
   /*  0x0aff                                    cursor ? ??? */
     new codepair(0x0ba3, 0x003c), /*                   leftcaret < LESS-THAN SIGN */
     new codepair(0x0ba6, 0x003e), /*                  rightcaret > GREATER-THAN SIGN */
-    new codepair(0x0ba8, 0x2228), /*                   downcaret ∨ LOGICAL OR */
-    new codepair(0x0ba9, 0x2227), /*                     upcaret ∧ LOGICAL AND */
-    new codepair(0x0bc0, 0x00af), /*                     overbar ¯ MACRON */
-    new codepair(0x0bc2, 0x22a5), /*                    downtack ⊥ UP TACK */
-    new codepair(0x0bc3, 0x2229), /*                      upshoe ∩ INTERSECTION */
-    new codepair(0x0bc4, 0x230a), /*                   downstile ⌊ LEFT FLOOR */
-    new codepair(0x0bc6, 0x005f), /*                    underbar _ LOW LINE */
-    new codepair(0x0bca, 0x2218), /*                         jot ∘ RING OPERATOR */
-    new codepair(0x0bcc, 0x2395), /*                        quad ⎕ APL FUNCTIONAL SYMBOL QUAD */
-    new codepair(0x0bce, 0x22a4), /*                      uptack ⊤ DOWN TACK */
-    new codepair(0x0bcf, 0x25cb), /*                      circle ○ WHITE CIRCLE */
-    new codepair(0x0bd3, 0x2308), /*                     upstile ⌈ LEFT CEILING */
-    new codepair(0x0bd6, 0x222a), /*                    downshoe ∪ UNION */
-    new codepair(0x0bd8, 0x2283), /*                   rightshoe ⊃ SUPERSET OF */
-    new codepair(0x0bda, 0x2282), /*                    leftshoe ⊂ SUBSET OF */
-    new codepair(0x0bdc, 0x22a2), /*                    lefttack ⊢ RIGHT TACK */
-    new codepair(0x0bfc, 0x22a3), /*                   righttack ⊣ LEFT TACK */
-    new codepair(0x0cdf, 0x2017), /*        hebrew_doublelowline ‗ DOUBLE LOW LINE */
-    new codepair(0x0ce0, 0x05d0), /*                hebrew_aleph א HEBREW LETTER ALEF */
-    new codepair(0x0ce1, 0x05d1), /*                  hebrew_bet ב HEBREW LETTER BET */
-    new codepair(0x0ce2, 0x05d2), /*                hebrew_gimel ג HEBREW LETTER GIMEL */
-    new codepair(0x0ce3, 0x05d3), /*                hebrew_dalet ד HEBREW LETTER DALET */
-    new codepair(0x0ce4, 0x05d4), /*                   hebrew_he ה HEBREW LETTER HE */
-    new codepair(0x0ce5, 0x05d5), /*                  hebrew_waw ו HEBREW LETTER VAV */
-    new codepair(0x0ce6, 0x05d6), /*                 hebrew_zain ז HEBREW LETTER ZAYIN */
-    new codepair(0x0ce7, 0x05d7), /*                 hebrew_chet ח HEBREW LETTER HET */
-    new codepair(0x0ce8, 0x05d8), /*                  hebrew_tet ט HEBREW LETTER TET */
-    new codepair(0x0ce9, 0x05d9), /*                  hebrew_yod י HEBREW LETTER YOD */
-    new codepair(0x0cea, 0x05da), /*            hebrew_finalkaph ך HEBREW LETTER FINAL KAF */
-    new codepair(0x0ceb, 0x05db), /*                 hebrew_kaph כ HEBREW LETTER KAF */
-    new codepair(0x0cec, 0x05dc), /*                hebrew_lamed ל HEBREW LETTER LAMED */
-    new codepair(0x0ced, 0x05dd), /*             hebrew_finalmem ם HEBREW LETTER FINAL MEM */
-    new codepair(0x0cee, 0x05de), /*                  hebrew_mem מ HEBREW LETTER MEM */
-    new codepair(0x0cef, 0x05df), /*             hebrew_finalnun ן HEBREW LETTER FINAL NUN */
-    new codepair(0x0cf0, 0x05e0), /*                  hebrew_nun נ HEBREW LETTER NUN */
-    new codepair(0x0cf1, 0x05e1), /*               hebrew_samech ס HEBREW LETTER SAMEKH */
-    new codepair(0x0cf2, 0x05e2), /*                 hebrew_ayin ע HEBREW LETTER AYIN */
-    new codepair(0x0cf3, 0x05e3), /*              hebrew_finalpe ף HEBREW LETTER FINAL PE */
-    new codepair(0x0cf4, 0x05e4), /*                   hebrew_pe פ HEBREW LETTER PE */
-    new codepair(0x0cf5, 0x05e5), /*            hebrew_finalzade ץ HEBREW LETTER FINAL TSADI */
-    new codepair(0x0cf6, 0x05e6), /*                 hebrew_zade צ HEBREW LETTER TSADI */
-    new codepair(0x0cf7, 0x05e7), /*                 hebrew_qoph ק HEBREW LETTER QOF */
-    new codepair(0x0cf8, 0x05e8), /*                 hebrew_resh ר HEBREW LETTER RESH */
-    new codepair(0x0cf9, 0x05e9), /*                 hebrew_shin ש HEBREW LETTER SHIN */
-    new codepair(0x0cfa, 0x05ea), /*                  hebrew_taw ת HEBREW LETTER TAV */
-    new codepair(0x0da1, 0x0e01), /*                  Thai_kokai ก THAI CHARACTER KO KAI */
-    new codepair(0x0da2, 0x0e02), /*                Thai_khokhai ข THAI CHARACTER KHO KHAI */
-    new codepair(0x0da3, 0x0e03), /*               Thai_khokhuat ฃ THAI CHARACTER KHO KHUAT */
-    new codepair(0x0da4, 0x0e04), /*               Thai_khokhwai ค THAI CHARACTER KHO KHWAI */
-    new codepair(0x0da5, 0x0e05), /*                Thai_khokhon ฅ THAI CHARACTER KHO KHON */
-    new codepair(0x0da6, 0x0e06), /*             Thai_khorakhang ฆ THAI CHARACTER KHO RAKHANG */
-    new codepair(0x0da7, 0x0e07), /*                 Thai_ngongu ง THAI CHARACTER NGO NGU */
-    new codepair(0x0da8, 0x0e08), /*                Thai_chochan จ THAI CHARACTER CHO CHAN */
-    new codepair(0x0da9, 0x0e09), /*               Thai_choching ฉ THAI CHARACTER CHO CHING */
-    new codepair(0x0daa, 0x0e0a), /*               Thai_chochang ช THAI CHARACTER CHO CHANG */
-    new codepair(0x0dab, 0x0e0b), /*                   Thai_soso ซ THAI CHARACTER SO SO */
-    new codepair(0x0dac, 0x0e0c), /*                Thai_chochoe ฌ THAI CHARACTER CHO CHOE */
-    new codepair(0x0dad, 0x0e0d), /*                 Thai_yoying ญ THAI CHARACTER YO YING */
-    new codepair(0x0dae, 0x0e0e), /*                Thai_dochada ฎ THAI CHARACTER DO CHADA */
-    new codepair(0x0daf, 0x0e0f), /*                Thai_topatak ฏ THAI CHARACTER TO PATAK */
-    new codepair(0x0db0, 0x0e10), /*                Thai_thothan ฐ THAI CHARACTER THO THAN */
-    new codepair(0x0db1, 0x0e11), /*          Thai_thonangmontho ฑ THAI CHARACTER THO NANGMONTHO */
-    new codepair(0x0db2, 0x0e12), /*             Thai_thophuthao ฒ THAI CHARACTER THO PHUTHAO */
-    new codepair(0x0db3, 0x0e13), /*                  Thai_nonen ณ THAI CHARACTER NO NEN */
-    new codepair(0x0db4, 0x0e14), /*                  Thai_dodek ด THAI CHARACTER DO DEK */
-    new codepair(0x0db5, 0x0e15), /*                  Thai_totao ต THAI CHARACTER TO TAO */
-    new codepair(0x0db6, 0x0e16), /*               Thai_thothung ถ THAI CHARACTER THO THUNG */
-    new codepair(0x0db7, 0x0e17), /*              Thai_thothahan ท THAI CHARACTER THO THAHAN */
-    new codepair(0x0db8, 0x0e18), /*               Thai_thothong ธ THAI CHARACTER THO THONG */
-    new codepair(0x0db9, 0x0e19), /*                   Thai_nonu น THAI CHARACTER NO NU */
-    new codepair(0x0dba, 0x0e1a), /*               Thai_bobaimai บ THAI CHARACTER BO BAIMAI */
-    new codepair(0x0dbb, 0x0e1b), /*                  Thai_popla ป THAI CHARACTER PO PLA */
-    new codepair(0x0dbc, 0x0e1c), /*               Thai_phophung ผ THAI CHARACTER PHO PHUNG */
-    new codepair(0x0dbd, 0x0e1d), /*                   Thai_fofa ฝ THAI CHARACTER FO FA */
-    new codepair(0x0dbe, 0x0e1e), /*                Thai_phophan พ THAI CHARACTER PHO PHAN */
-    new codepair(0x0dbf, 0x0e1f), /*                  Thai_fofan ฟ THAI CHARACTER FO FAN */
-    new codepair(0x0dc0, 0x0e20), /*             Thai_phosamphao ภ THAI CHARACTER PHO SAMPHAO */
-    new codepair(0x0dc1, 0x0e21), /*                   Thai_moma ม THAI CHARACTER MO MA */
-    new codepair(0x0dc2, 0x0e22), /*                  Thai_yoyak ย THAI CHARACTER YO YAK */
-    new codepair(0x0dc3, 0x0e23), /*                  Thai_rorua ร THAI CHARACTER RO RUA */
-    new codepair(0x0dc4, 0x0e24), /*                     Thai_ru ฤ THAI CHARACTER RU */
-    new codepair(0x0dc5, 0x0e25), /*                 Thai_loling ล THAI CHARACTER LO LING */
-    new codepair(0x0dc6, 0x0e26), /*                     Thai_lu ฦ THAI CHARACTER LU */
-    new codepair(0x0dc7, 0x0e27), /*                 Thai_wowaen ว THAI CHARACTER WO WAEN */
-    new codepair(0x0dc8, 0x0e28), /*                 Thai_sosala ศ THAI CHARACTER SO SALA */
-    new codepair(0x0dc9, 0x0e29), /*                 Thai_sorusi ษ THAI CHARACTER SO RUSI */
-    new codepair(0x0dca, 0x0e2a), /*                  Thai_sosua ส THAI CHARACTER SO SUA */
-    new codepair(0x0dcb, 0x0e2b), /*                  Thai_hohip ห THAI CHARACTER HO HIP */
-    new codepair(0x0dcc, 0x0e2c), /*                Thai_lochula ฬ THAI CHARACTER LO CHULA */
-    new codepair(0x0dcd, 0x0e2d), /*                   Thai_oang อ THAI CHARACTER O ANG */
-    new codepair(0x0dce, 0x0e2e), /*               Thai_honokhuk ฮ THAI CHARACTER HO NOKHUK */
-    new codepair(0x0dcf, 0x0e2f), /*              Thai_paiyannoi ฯ THAI CHARACTER PAIYANNOI */
-    new codepair(0x0dd0, 0x0e30), /*                  Thai_saraa ะ THAI CHARACTER SARA A */
-    new codepair(0x0dd1, 0x0e31), /*             Thai_maihanakat ั THAI CHARACTER MAI HAN-AKAT */
-    new codepair(0x0dd2, 0x0e32), /*                 Thai_saraaa า THAI CHARACTER SARA AA */
-    new codepair(0x0dd3, 0x0e33), /*                 Thai_saraam ำ THAI CHARACTER SARA AM */
-    new codepair(0x0dd4, 0x0e34), /*                  Thai_sarai ิ THAI CHARACTER SARA I */
-    new codepair(0x0dd5, 0x0e35), /*                 Thai_saraii ี THAI CHARACTER SARA II */
-    new codepair(0x0dd6, 0x0e36), /*                 Thai_saraue ึ THAI CHARACTER SARA UE */
-    new codepair(0x0dd7, 0x0e37), /*                Thai_sarauee ื THAI CHARACTER SARA UEE */
-    new codepair(0x0dd8, 0x0e38), /*                  Thai_sarau ุ THAI CHARACTER SARA U */
-    new codepair(0x0dd9, 0x0e39), /*                 Thai_sarauu ู THAI CHARACTER SARA UU */
-    new codepair(0x0dda, 0x0e3a), /*                Thai_phinthu ฺ THAI CHARACTER PHINTHU */
+    new codepair(0x0ba8, 0x2228), /*                   downcaret OGICAL OR */
+    new codepair(0x0ba9, 0x2227), /*                     upcaret OGICAL AND */
+    new codepair(0x0bc0, 0x00af), /*                     overbar CRON */
+    new codepair(0x0bc2, 0x22a5), /*                    downtack P TACK */
+    new codepair(0x0bc3, 0x2229), /*                      upshoe NTERSECTION */
+    new codepair(0x0bc4, 0x230a), /*                   downstile EFT FLOOR */
+    new codepair(0x0bc6, 0x005f), /*                    underbar  LINE */
+    new codepair(0x0bca, 0x2218), /*                         jot ING OPERATOR */
+    new codepair(0x0bcc, 0x2395), /*                        quad PL FUNCTIONAL SYMBOL QUAD */
+    new codepair(0x0bce, 0x22a4), /*                      uptack OWN TACK */
+    new codepair(0x0bcf, 0x25cb), /*                      circle HITE CIRCLE */
+    new codepair(0x0bd3, 0x2308), /*                     upstile EFT CEILING */
+    new codepair(0x0bd6, 0x222a), /*                    downshoe NION */
+    new codepair(0x0bd8, 0x2283), /*                   rightshoe UPERSET OF */
+    new codepair(0x0bda, 0x2282), /*                    leftshoe UBSET OF */
+    new codepair(0x0bdc, 0x22a2), /*                    lefttack IGHT TACK */
+    new codepair(0x0bfc, 0x22a3), /*                   righttack EFT TACK */
+    new codepair(0x0cdf, 0x2017), /*        hebrew_doublelowline OUBLE LOW LINE */
+    new codepair(0x0ce0, 0x05d0), /*                hebrew_aleph BREW LETTER ALEF */
+    new codepair(0x0ce1, 0x05d1), /*                  hebrew_bet BREW LETTER BET */
+    new codepair(0x0ce2, 0x05d2), /*                hebrew_gimel BREW LETTER GIMEL */
+    new codepair(0x0ce3, 0x05d3), /*                hebrew_dalet BREW LETTER DALET */
+    new codepair(0x0ce4, 0x05d4), /*                   hebrew_he BREW LETTER HE */
+    new codepair(0x0ce5, 0x05d5), /*                  hebrew_waw BREW LETTER VAV */
+    new codepair(0x0ce6, 0x05d6), /*                 hebrew_zain BREW LETTER ZAYIN */
+    new codepair(0x0ce7, 0x05d7), /*                 hebrew_chet BREW LETTER HET */
+    new codepair(0x0ce8, 0x05d8), /*                  hebrew_tet BREW LETTER TET */
+    new codepair(0x0ce9, 0x05d9), /*                  hebrew_yod BREW LETTER YOD */
+    new codepair(0x0cea, 0x05da), /*            hebrew_finalkaph BREW LETTER FINAL KAF */
+    new codepair(0x0ceb, 0x05db), /*                 hebrew_kaph BREW LETTER KAF */
+    new codepair(0x0cec, 0x05dc), /*                hebrew_lamed BREW LETTER LAMED */
+    new codepair(0x0ced, 0x05dd), /*             hebrew_finalmem BREW LETTER FINAL MEM */
+    new codepair(0x0cee, 0x05de), /*                  hebrew_mem BREW LETTER MEM */
+    new codepair(0x0cef, 0x05df), /*             hebrew_finalnun BREW LETTER FINAL NUN */
+    new codepair(0x0cf0, 0x05e0), /*                  hebrew_nun BREW LETTER NUN */
+    new codepair(0x0cf1, 0x05e1), /*               hebrew_samech BREW LETTER SAMEKH */
+    new codepair(0x0cf2, 0x05e2), /*                 hebrew_ayin BREW LETTER AYIN */
+    new codepair(0x0cf3, 0x05e3), /*              hebrew_finalpe BREW LETTER FINAL PE */
+    new codepair(0x0cf4, 0x05e4), /*                   hebrew_pe BREW LETTER PE */
+    new codepair(0x0cf5, 0x05e5), /*            hebrew_finalzade BREW LETTER FINAL TSADI */
+    new codepair(0x0cf6, 0x05e6), /*                 hebrew_zade BREW LETTER TSADI */
+    new codepair(0x0cf7, 0x05e7), /*                 hebrew_qoph BREW LETTER QOF */
+    new codepair(0x0cf8, 0x05e8), /*                 hebrew_resh BREW LETTER RESH */
+    new codepair(0x0cf9, 0x05e9), /*                 hebrew_shin BREW LETTER SHIN */
+    new codepair(0x0cfa, 0x05ea), /*                  hebrew_taw BREW LETTER TAV */
+    new codepair(0x0da1, 0x0e01), /*                  Thai_kokai HAI CHARACTER KO KAI */
+    new codepair(0x0da2, 0x0e02), /*                Thai_khokhai HAI CHARACTER KHO KHAI */
+    new codepair(0x0da3, 0x0e03), /*               Thai_khokhuat HAI CHARACTER KHO KHUAT */
+    new codepair(0x0da4, 0x0e04), /*               Thai_khokhwai HAI CHARACTER KHO KHWAI */
+    new codepair(0x0da5, 0x0e05), /*                Thai_khokhon HAI CHARACTER KHO KHON */
+    new codepair(0x0da6, 0x0e06), /*             Thai_khorakhang HAI CHARACTER KHO RAKHANG */
+    new codepair(0x0da7, 0x0e07), /*                 Thai_ngongu HAI CHARACTER NGO NGU */
+    new codepair(0x0da8, 0x0e08), /*                Thai_chochan HAI CHARACTER CHO CHAN */
+    new codepair(0x0da9, 0x0e09), /*               Thai_choching HAI CHARACTER CHO CHING */
+    new codepair(0x0daa, 0x0e0a), /*               Thai_chochang HAI CHARACTER CHO CHANG */
+    new codepair(0x0dab, 0x0e0b), /*                   Thai_soso HAI CHARACTER SO SO */
+    new codepair(0x0dac, 0x0e0c), /*                Thai_chochoe HAI CHARACTER CHO CHOE */
+    new codepair(0x0dad, 0x0e0d), /*                 Thai_yoying HAI CHARACTER YO YING */
+    new codepair(0x0dae, 0x0e0e), /*                Thai_dochada HAI CHARACTER DO CHADA */
+    new codepair(0x0daf, 0x0e0f), /*                Thai_topatak HAI CHARACTER TO PATAK */
+    new codepair(0x0db0, 0x0e10), /*                Thai_thothan HAI CHARACTER THO THAN */
+    new codepair(0x0db1, 0x0e11), /*          Thai_thonangmontho HAI CHARACTER THO NANGMONTHO */
+    new codepair(0x0db2, 0x0e12), /*             Thai_thophuthao HAI CHARACTER THO PHUTHAO */
+    new codepair(0x0db3, 0x0e13), /*                  Thai_nonen HAI CHARACTER NO NEN */
+    new codepair(0x0db4, 0x0e14), /*                  Thai_dodek HAI CHARACTER DO DEK */
+    new codepair(0x0db5, 0x0e15), /*                  Thai_totao HAI CHARACTER TO TAO */
+    new codepair(0x0db6, 0x0e16), /*               Thai_thothung HAI CHARACTER THO THUNG */
+    new codepair(0x0db7, 0x0e17), /*              Thai_thothahan HAI CHARACTER THO THAHAN */
+    new codepair(0x0db8, 0x0e18), /*               Thai_thothong HAI CHARACTER THO THONG */
+    new codepair(0x0db9, 0x0e19), /*                   Thai_nonu HAI CHARACTER NO NU */
+    new codepair(0x0dba, 0x0e1a), /*               Thai_bobaimai HAI CHARACTER BO BAIMAI */
+    new codepair(0x0dbb, 0x0e1b), /*                  Thai_popla HAI CHARACTER PO PLA */
+    new codepair(0x0dbc, 0x0e1c), /*               Thai_phophung HAI CHARACTER PHO PHUNG */
+    new codepair(0x0dbd, 0x0e1d), /*                   Thai_fofa HAI CHARACTER FO FA */
+    new codepair(0x0dbe, 0x0e1e), /*                Thai_phophan HAI CHARACTER PHO PHAN */
+    new codepair(0x0dbf, 0x0e1f), /*                  Thai_fofan HAI CHARACTER FO FAN */
+    new codepair(0x0dc0, 0x0e20), /*             Thai_phosamphao HAI CHARACTER PHO SAMPHAO */
+    new codepair(0x0dc1, 0x0e21), /*                   Thai_moma HAI CHARACTER MO MA */
+    new codepair(0x0dc2, 0x0e22), /*                  Thai_yoyak HAI CHARACTER YO YAK */
+    new codepair(0x0dc3, 0x0e23), /*                  Thai_rorua HAI CHARACTER RO RUA */
+    new codepair(0x0dc4, 0x0e24), /*                     Thai_ru HAI CHARACTER RU */
+    new codepair(0x0dc5, 0x0e25), /*                 Thai_loling HAI CHARACTER LO LING */
+    new codepair(0x0dc6, 0x0e26), /*                     Thai_lu HAI CHARACTER LU */
+    new codepair(0x0dc7, 0x0e27), /*                 Thai_wowaen HAI CHARACTER WO WAEN */
+    new codepair(0x0dc8, 0x0e28), /*                 Thai_sosala HAI CHARACTER SO SALA */
+    new codepair(0x0dc9, 0x0e29), /*                 Thai_sorusi HAI CHARACTER SO RUSI */
+    new codepair(0x0dca, 0x0e2a), /*                  Thai_sosua HAI CHARACTER SO SUA */
+    new codepair(0x0dcb, 0x0e2b), /*                  Thai_hohip HAI CHARACTER HO HIP */
+    new codepair(0x0dcc, 0x0e2c), /*                Thai_lochula HAI CHARACTER LO CHULA */
+    new codepair(0x0dcd, 0x0e2d), /*                   Thai_oang HAI CHARACTER O ANG */
+    new codepair(0x0dce, 0x0e2e), /*               Thai_honokhuk HAI CHARACTER HO NOKHUK */
+    new codepair(0x0dcf, 0x0e2f), /*              Thai_paiyannoi HAI CHARACTER PAIYANNOI */
+    new codepair(0x0dd0, 0x0e30), /*                  Thai_saraa HAI CHARACTER SARA A */
+    new codepair(0x0dd1, 0x0e31), /*             Thai_maihanakat HAI CHARACTER MAI HAN-AKAT */
+    new codepair(0x0dd2, 0x0e32), /*                 Thai_saraaa HAI CHARACTER SARA AA */
+    new codepair(0x0dd3, 0x0e33), /*                 Thai_saraam HAI CHARACTER SARA AM */
+    new codepair(0x0dd4, 0x0e34), /*                  Thai_sarai HAI CHARACTER SARA I */
+    new codepair(0x0dd5, 0x0e35), /*                 Thai_saraii HAI CHARACTER SARA II */
+    new codepair(0x0dd6, 0x0e36), /*                 Thai_saraue HAI CHARACTER SARA UE */
+    new codepair(0x0dd7, 0x0e37), /*                Thai_sarauee HAI CHARACTER SARA UEE */
+    new codepair(0x0dd8, 0x0e38), /*                  Thai_sarau HAI CHARACTER SARA U */
+    new codepair(0x0dd9, 0x0e39), /*                 Thai_sarauu HAI CHARACTER SARA UU */
+    new codepair(0x0dda, 0x0e3a), /*                Thai_phinthu HAI CHARACTER PHINTHU */
   /*  0x0dde                    Thai_maihanakat_maitho ? ??? */
-    new codepair(0x0ddf, 0x0e3f), /*                   Thai_baht ฿ THAI CURRENCY SYMBOL BAHT */
-    new codepair(0x0de0, 0x0e40), /*                  Thai_sarae เ THAI CHARACTER SARA E */
-    new codepair(0x0de1, 0x0e41), /*                 Thai_saraae แ THAI CHARACTER SARA AE */
-    new codepair(0x0de2, 0x0e42), /*                  Thai_sarao โ THAI CHARACTER SARA O */
-    new codepair(0x0de3, 0x0e43), /*          Thai_saraaimaimuan ใ THAI CHARACTER SARA AI MAIMUAN */
-    new codepair(0x0de4, 0x0e44), /*         Thai_saraaimaimalai ไ THAI CHARACTER SARA AI MAIMALAI */
-    new codepair(0x0de5, 0x0e45), /*            Thai_lakkhangyao ๅ THAI CHARACTER LAKKHANGYAO */
-    new codepair(0x0de6, 0x0e46), /*               Thai_maiyamok ๆ THAI CHARACTER MAIYAMOK */
-    new codepair(0x0de7, 0x0e47), /*              Thai_maitaikhu ็ THAI CHARACTER MAITAIKHU */
-    new codepair(0x0de8, 0x0e48), /*                  Thai_maiek ่ THAI CHARACTER MAI EK */
-    new codepair(0x0de9, 0x0e49), /*                 Thai_maitho ้ THAI CHARACTER MAI THO */
-    new codepair(0x0dea, 0x0e4a), /*                 Thai_maitri ๊ THAI CHARACTER MAI TRI */
-    new codepair(0x0deb, 0x0e4b), /*            Thai_maichattawa ๋ THAI CHARACTER MAI CHATTAWA */
-    new codepair(0x0dec, 0x0e4c), /*            Thai_thanthakhat ์ THAI CHARACTER THANTHAKHAT */
-    new codepair(0x0ded, 0x0e4d), /*               Thai_nikhahit ํ THAI CHARACTER NIKHAHIT */
-    new codepair(0x0df0, 0x0e50), /*                 Thai_leksun ๐ THAI DIGIT ZERO */
-    new codepair(0x0df1, 0x0e51), /*                Thai_leknung ๑ THAI DIGIT ONE */
-    new codepair(0x0df2, 0x0e52), /*                Thai_leksong ๒ THAI DIGIT TWO */
-    new codepair(0x0df3, 0x0e53), /*                 Thai_leksam ๓ THAI DIGIT THREE */
-    new codepair(0x0df4, 0x0e54), /*                  Thai_leksi ๔ THAI DIGIT FOUR */
-    new codepair(0x0df5, 0x0e55), /*                  Thai_lekha ๕ THAI DIGIT FIVE */
-    new codepair(0x0df6, 0x0e56), /*                 Thai_lekhok ๖ THAI DIGIT SIX */
-    new codepair(0x0df7, 0x0e57), /*                Thai_lekchet ๗ THAI DIGIT SEVEN */
-    new codepair(0x0df8, 0x0e58), /*                Thai_lekpaet ๘ THAI DIGIT EIGHT */
-    new codepair(0x0df9, 0x0e59), /*                 Thai_lekkao ๙ THAI DIGIT NINE */
-    new codepair(0x0ea1, 0x3131), /*               Hangul_Kiyeog ㄱ HANGUL LETTER KIYEOK */
-    new codepair(0x0ea2, 0x3132), /*          Hangul_SsangKiyeog ㄲ HANGUL LETTER SSANGKIYEOK */
-    new codepair(0x0ea3, 0x3133), /*           Hangul_KiyeogSios ㄳ HANGUL LETTER KIYEOK-SIOS */
-    new codepair(0x0ea4, 0x3134), /*                Hangul_Nieun ㄴ HANGUL LETTER NIEUN */
-    new codepair(0x0ea5, 0x3135), /*           Hangul_NieunJieuj ㄵ HANGUL LETTER NIEUN-CIEUC */
-    new codepair(0x0ea6, 0x3136), /*           Hangul_NieunHieuh ㄶ HANGUL LETTER NIEUN-HIEUH */
-    new codepair(0x0ea7, 0x3137), /*               Hangul_Dikeud ㄷ HANGUL LETTER TIKEUT */
-    new codepair(0x0ea8, 0x3138), /*          Hangul_SsangDikeud ㄸ HANGUL LETTER SSANGTIKEUT */
-    new codepair(0x0ea9, 0x3139), /*                Hangul_Rieul ㄹ HANGUL LETTER RIEUL */
-    new codepair(0x0eaa, 0x313a), /*          Hangul_RieulKiyeog ㄺ HANGUL LETTER RIEUL-KIYEOK */
-    new codepair(0x0eab, 0x313b), /*           Hangul_RieulMieum ㄻ HANGUL LETTER RIEUL-MIEUM */
-    new codepair(0x0eac, 0x313c), /*           Hangul_RieulPieub ㄼ HANGUL LETTER RIEUL-PIEUP */
-    new codepair(0x0ead, 0x313d), /*            Hangul_RieulSios ㄽ HANGUL LETTER RIEUL-SIOS */
-    new codepair(0x0eae, 0x313e), /*           Hangul_RieulTieut ㄾ HANGUL LETTER RIEUL-THIEUTH */
-    new codepair(0x0eaf, 0x313f), /*          Hangul_RieulPhieuf ㄿ HANGUL LETTER RIEUL-PHIEUPH */
-    new codepair(0x0eb0, 0x3140), /*           Hangul_RieulHieuh ㅀ HANGUL LETTER RIEUL-HIEUH */
-    new codepair(0x0eb1, 0x3141), /*                Hangul_Mieum ㅁ HANGUL LETTER MIEUM */
-    new codepair(0x0eb2, 0x3142), /*                Hangul_Pieub ㅂ HANGUL LETTER PIEUP */
-    new codepair(0x0eb3, 0x3143), /*           Hangul_SsangPieub ㅃ HANGUL LETTER SSANGPIEUP */
-    new codepair(0x0eb4, 0x3144), /*            Hangul_PieubSios ㅄ HANGUL LETTER PIEUP-SIOS */
-    new codepair(0x0eb5, 0x3145), /*                 Hangul_Sios ㅅ HANGUL LETTER SIOS */
-    new codepair(0x0eb6, 0x3146), /*            Hangul_SsangSios ㅆ HANGUL LETTER SSANGSIOS */
-    new codepair(0x0eb7, 0x3147), /*                Hangul_Ieung ㅇ HANGUL LETTER IEUNG */
-    new codepair(0x0eb8, 0x3148), /*                Hangul_Jieuj ㅈ HANGUL LETTER CIEUC */
-    new codepair(0x0eb9, 0x3149), /*           Hangul_SsangJieuj ㅉ HANGUL LETTER SSANGCIEUC */
-    new codepair(0x0eba, 0x314a), /*                Hangul_Cieuc ㅊ HANGUL LETTER CHIEUCH */
-    new codepair(0x0ebb, 0x314b), /*               Hangul_Khieuq ㅋ HANGUL LETTER KHIEUKH */
-    new codepair(0x0ebc, 0x314c), /*                Hangul_Tieut ㅌ HANGUL LETTER THIEUTH */
-    new codepair(0x0ebd, 0x314d), /*               Hangul_Phieuf ㅍ HANGUL LETTER PHIEUPH */
-    new codepair(0x0ebe, 0x314e), /*                Hangul_Hieuh ㅎ HANGUL LETTER HIEUH */
-    new codepair(0x0ebf, 0x314f), /*                    Hangul_A ㅏ HANGUL LETTER A */
-    new codepair(0x0ec0, 0x3150), /*                   Hangul_AE ㅐ HANGUL LETTER AE */
-    new codepair(0x0ec1, 0x3151), /*                   Hangul_YA ㅑ HANGUL LETTER YA */
-    new codepair(0x0ec2, 0x3152), /*                  Hangul_YAE ㅒ HANGUL LETTER YAE */
-    new codepair(0x0ec3, 0x3153), /*                   Hangul_EO ㅓ HANGUL LETTER EO */
-    new codepair(0x0ec4, 0x3154), /*                    Hangul_E ㅔ HANGUL LETTER E */
-    new codepair(0x0ec5, 0x3155), /*                  Hangul_YEO ㅕ HANGUL LETTER YEO */
-    new codepair(0x0ec6, 0x3156), /*                   Hangul_YE ㅖ HANGUL LETTER YE */
-    new codepair(0x0ec7, 0x3157), /*                    Hangul_O ㅗ HANGUL LETTER O */
-    new codepair(0x0ec8, 0x3158), /*                   Hangul_WA ㅘ HANGUL LETTER WA */
-    new codepair(0x0ec9, 0x3159), /*                  Hangul_WAE ㅙ HANGUL LETTER WAE */
-    new codepair(0x0eca, 0x315a), /*                   Hangul_OE ㅚ HANGUL LETTER OE */
-    new codepair(0x0ecb, 0x315b), /*                   Hangul_YO ㅛ HANGUL LETTER YO */
-    new codepair(0x0ecc, 0x315c), /*                    Hangul_U ㅜ HANGUL LETTER U */
-    new codepair(0x0ecd, 0x315d), /*                  Hangul_WEO ㅝ HANGUL LETTER WEO */
-    new codepair(0x0ece, 0x315e), /*                   Hangul_WE ㅞ HANGUL LETTER WE */
-    new codepair(0x0ecf, 0x315f), /*                   Hangul_WI ㅟ HANGUL LETTER WI */
-    new codepair(0x0ed0, 0x3160), /*                   Hangul_YU ㅠ HANGUL LETTER YU */
-    new codepair(0x0ed1, 0x3161), /*                   Hangul_EU ㅡ HANGUL LETTER EU */
-    new codepair(0x0ed2, 0x3162), /*                   Hangul_YI ㅢ HANGUL LETTER YI */
-    new codepair(0x0ed3, 0x3163), /*                    Hangul_I ㅣ HANGUL LETTER I */
-    new codepair(0x0ed4, 0x11a8), /*             Hangul_J_Kiyeog ᆨ HANGUL JONGSEONG KIYEOK */
-    new codepair(0x0ed5, 0x11a9), /*        Hangul_J_SsangKiyeog ᆩ HANGUL JONGSEONG SSANGKIYEOK */
-    new codepair(0x0ed6, 0x11aa), /*         Hangul_J_KiyeogSios ᆪ HANGUL JONGSEONG KIYEOK-SIOS */
-    new codepair(0x0ed7, 0x11ab), /*              Hangul_J_Nieun ᆫ HANGUL JONGSEONG NIEUN */
-    new codepair(0x0ed8, 0x11ac), /*         Hangul_J_NieunJieuj ᆬ HANGUL JONGSEONG NIEUN-CIEUC */
-    new codepair(0x0ed9, 0x11ad), /*         Hangul_J_NieunHieuh ᆭ HANGUL JONGSEONG NIEUN-HIEUH */
-    new codepair(0x0eda, 0x11ae), /*             Hangul_J_Dikeud ᆮ HANGUL JONGSEONG TIKEUT */
-    new codepair(0x0edb, 0x11af), /*              Hangul_J_Rieul ᆯ HANGUL JONGSEONG RIEUL */
-    new codepair(0x0edc, 0x11b0), /*        Hangul_J_RieulKiyeog ᆰ HANGUL JONGSEONG RIEUL-KIYEOK */
-    new codepair(0x0edd, 0x11b1), /*         Hangul_J_RieulMieum ᆱ HANGUL JONGSEONG RIEUL-MIEUM */
-    new codepair(0x0ede, 0x11b2), /*         Hangul_J_RieulPieub ᆲ HANGUL JONGSEONG RIEUL-PIEUP */
-    new codepair(0x0edf, 0x11b3), /*          Hangul_J_RieulSios ᆳ HANGUL JONGSEONG RIEUL-SIOS */
-    new codepair(0x0ee0, 0x11b4), /*         Hangul_J_RieulTieut ᆴ HANGUL JONGSEONG RIEUL-THIEUTH */
-    new codepair(0x0ee1, 0x11b5), /*        Hangul_J_RieulPhieuf ᆵ HANGUL JONGSEONG RIEUL-PHIEUPH */
-    new codepair(0x0ee2, 0x11b6), /*         Hangul_J_RieulHieuh ᆶ HANGUL JONGSEONG RIEUL-HIEUH */
-    new codepair(0x0ee3, 0x11b7), /*              Hangul_J_Mieum ᆷ HANGUL JONGSEONG MIEUM */
-    new codepair(0x0ee4, 0x11b8), /*              Hangul_J_Pieub ᆸ HANGUL JONGSEONG PIEUP */
-    new codepair(0x0ee5, 0x11b9), /*          Hangul_J_PieubSios ᆹ HANGUL JONGSEONG PIEUP-SIOS */
-    new codepair(0x0ee6, 0x11ba), /*               Hangul_J_Sios ᆺ HANGUL JONGSEONG SIOS */
-    new codepair(0x0ee7, 0x11bb), /*          Hangul_J_SsangSios ᆻ HANGUL JONGSEONG SSANGSIOS */
-    new codepair(0x0ee8, 0x11bc), /*              Hangul_J_Ieung ᆼ HANGUL JONGSEONG IEUNG */
-    new codepair(0x0ee9, 0x11bd), /*              Hangul_J_Jieuj ᆽ HANGUL JONGSEONG CIEUC */
-    new codepair(0x0eea, 0x11be), /*              Hangul_J_Cieuc ᆾ HANGUL JONGSEONG CHIEUCH */
-    new codepair(0x0eeb, 0x11bf), /*             Hangul_J_Khieuq ᆿ HANGUL JONGSEONG KHIEUKH */
-    new codepair(0x0eec, 0x11c0), /*              Hangul_J_Tieut ᇀ HANGUL JONGSEONG THIEUTH */
-    new codepair(0x0eed, 0x11c1), /*             Hangul_J_Phieuf ᇁ HANGUL JONGSEONG PHIEUPH */
-    new codepair(0x0eee, 0x11c2), /*              Hangul_J_Hieuh ᇂ HANGUL JONGSEONG HIEUH */
-    new codepair(0x0eef, 0x316d), /*     Hangul_RieulYeorinHieuh ㅭ HANGUL LETTER RIEUL-YEORINHIEUH */
-    new codepair(0x0ef0, 0x3171), /*    Hangul_SunkyeongeumMieum ㅱ HANGUL LETTER KAPYEOUNMIEUM */
-    new codepair(0x0ef1, 0x3178), /*    Hangul_SunkyeongeumPieub ㅸ HANGUL LETTER KAPYEOUNPIEUP */
-    new codepair(0x0ef2, 0x317f), /*              Hangul_PanSios ㅿ HANGUL LETTER PANSIOS */
-    new codepair(0x0ef3, 0x3181), /*    Hangul_KkogjiDalrinIeung ㆁ HANGUL LETTER YESIEUNG */
-    new codepair(0x0ef4, 0x3184), /*   Hangul_SunkyeongeumPhieuf ㆄ HANGUL LETTER KAPYEOUNPHIEUPH */
-    new codepair(0x0ef5, 0x3186), /*          Hangul_YeorinHieuh ㆆ HANGUL LETTER YEORINHIEUH */
-    new codepair(0x0ef6, 0x318d), /*                Hangul_AraeA ㆍ HANGUL LETTER ARAEA */
-    new codepair(0x0ef7, 0x318e), /*               Hangul_AraeAE ㆎ HANGUL LETTER ARAEAE */
-    new codepair(0x0ef8, 0x11eb), /*            Hangul_J_PanSios ᇫ HANGUL JONGSEONG PANSIOS */
-    new codepair(0x0ef9, 0x11f0), /*  Hangul_J_KkogjiDalrinIeung ᇰ HANGUL JONGSEONG YESIEUNG */
-    new codepair(0x0efa, 0x11f9), /*        Hangul_J_YeorinHieuh ᇹ HANGUL JONGSEONG YEORINHIEUH */
-    new codepair(0x0eff, 0x20a9), /*                  Korean_Won ₩ WON SIGN */
-    new codepair(0x13bc, 0x0152), /*                          OE Œ LATIN CAPITAL LIGATURE OE */
-    new codepair(0x13bd, 0x0153), /*                          oe œ LATIN SMALL LIGATURE OE */
-    new codepair(0x13be, 0x0178), /*                  Ydiaeresis Ÿ LATIN CAPITAL LETTER Y WITH DIAERESIS */
-    new codepair(0x20ac, 0x20ac), /*                    EuroSign € EURO SIGN */
+    new codepair(0x0ddf, 0x0e3f), /*                   Thai_baht HAI CURRENCY SYMBOL BAHT */
+    new codepair(0x0de0, 0x0e40), /*                  Thai_sarae HAI CHARACTER SARA E */
+    new codepair(0x0de1, 0x0e41), /*                 Thai_saraae HAI CHARACTER SARA AE */
+    new codepair(0x0de2, 0x0e42), /*                  Thai_sarao HAI CHARACTER SARA O */
+    new codepair(0x0de3, 0x0e43), /*          Thai_saraaimaimuan HAI CHARACTER SARA AI MAIMUAN */
+    new codepair(0x0de4, 0x0e44), /*         Thai_saraaimaimalai HAI CHARACTER SARA AI MAIMALAI */
+    new codepair(0x0de5, 0x0e45), /*            Thai_lakkhangyao HAI CHARACTER LAKKHANGYAO */
+    new codepair(0x0de6, 0x0e46), /*               Thai_maiyamok HAI CHARACTER MAIYAMOK */
+    new codepair(0x0de7, 0x0e47), /*              Thai_maitaikhu HAI CHARACTER MAITAIKHU */
+    new codepair(0x0de8, 0x0e48), /*                  Thai_maiek HAI CHARACTER MAI EK */
+    new codepair(0x0de9, 0x0e49), /*                 Thai_maitho HAI CHARACTER MAI THO */
+    new codepair(0x0dea, 0x0e4a), /*                 Thai_maitri HAI CHARACTER MAI TRI */
+    new codepair(0x0deb, 0x0e4b), /*            Thai_maichattawa HAI CHARACTER MAI CHATTAWA */
+    new codepair(0x0dec, 0x0e4c), /*            Thai_thanthakhat HAI CHARACTER THANTHAKHAT */
+    new codepair(0x0ded, 0x0e4d), /*               Thai_nikhahit HAI CHARACTER NIKHAHIT */
+    new codepair(0x0df0, 0x0e50), /*                 Thai_leksun HAI DIGIT ZERO */
+    new codepair(0x0df1, 0x0e51), /*                Thai_leknung HAI DIGIT ONE */
+    new codepair(0x0df2, 0x0e52), /*                Thai_leksong HAI DIGIT TWO */
+    new codepair(0x0df3, 0x0e53), /*                 Thai_leksam HAI DIGIT THREE */
+    new codepair(0x0df4, 0x0e54), /*                  Thai_leksi HAI DIGIT FOUR */
+    new codepair(0x0df5, 0x0e55), /*                  Thai_lekha HAI DIGIT FIVE */
+    new codepair(0x0df6, 0x0e56), /*                 Thai_lekhok HAI DIGIT SIX */
+    new codepair(0x0df7, 0x0e57), /*                Thai_lekchet HAI DIGIT SEVEN */
+    new codepair(0x0df8, 0x0e58), /*                Thai_lekpaet HAI DIGIT EIGHT */
+    new codepair(0x0df9, 0x0e59), /*                 Thai_lekkao HAI DIGIT NINE */
+    new codepair(0x0ea1, 0x3131), /*               Hangul_Kiyeog ANGUL LETTER KIYEOK */
+    new codepair(0x0ea2, 0x3132), /*          Hangul_SsangKiyeog ANGUL LETTER SSANGKIYEOK */
+    new codepair(0x0ea3, 0x3133), /*           Hangul_KiyeogSios ANGUL LETTER KIYEOK-SIOS */
+    new codepair(0x0ea4, 0x3134), /*                Hangul_Nieun ANGUL LETTER NIEUN */
+    new codepair(0x0ea5, 0x3135), /*           Hangul_NieunJieuj ANGUL LETTER NIEUN-CIEUC */
+    new codepair(0x0ea6, 0x3136), /*           Hangul_NieunHieuh ANGUL LETTER NIEUN-HIEUH */
+    new codepair(0x0ea7, 0x3137), /*               Hangul_Dikeud ANGUL LETTER TIKEUT */
+    new codepair(0x0ea8, 0x3138), /*          Hangul_SsangDikeud ANGUL LETTER SSANGTIKEUT */
+    new codepair(0x0ea9, 0x3139), /*                Hangul_Rieul ANGUL LETTER RIEUL */
+    new codepair(0x0eaa, 0x313a), /*          Hangul_RieulKiyeog ANGUL LETTER RIEUL-KIYEOK */
+    new codepair(0x0eab, 0x313b), /*           Hangul_RieulMieum ANGUL LETTER RIEUL-MIEUM */
+    new codepair(0x0eac, 0x313c), /*           Hangul_RieulPieub ANGUL LETTER RIEUL-PIEUP */
+    new codepair(0x0ead, 0x313d), /*            Hangul_RieulSios ANGUL LETTER RIEUL-SIOS */
+    new codepair(0x0eae, 0x313e), /*           Hangul_RieulTieut ANGUL LETTER RIEUL-THIEUTH */
+    new codepair(0x0eaf, 0x313f), /*          Hangul_RieulPhieuf ANGUL LETTER RIEUL-PHIEUPH */
+    new codepair(0x0eb0, 0x3140), /*           Hangul_RieulHieuh ANGUL LETTER RIEUL-HIEUH */
+    new codepair(0x0eb1, 0x3141), /*                Hangul_Mieum ANGUL LETTER MIEUM */
+    new codepair(0x0eb2, 0x3142), /*                Hangul_Pieub ANGUL LETTER PIEUP */
+    new codepair(0x0eb3, 0x3143), /*           Hangul_SsangPieub ANGUL LETTER SSANGPIEUP */
+    new codepair(0x0eb4, 0x3144), /*            Hangul_PieubSios ANGUL LETTER PIEUP-SIOS */
+    new codepair(0x0eb5, 0x3145), /*                 Hangul_Sios ANGUL LETTER SIOS */
+    new codepair(0x0eb6, 0x3146), /*            Hangul_SsangSios ANGUL LETTER SSANGSIOS */
+    new codepair(0x0eb7, 0x3147), /*                Hangul_Ieung ANGUL LETTER IEUNG */
+    new codepair(0x0eb8, 0x3148), /*                Hangul_Jieuj ANGUL LETTER CIEUC */
+    new codepair(0x0eb9, 0x3149), /*           Hangul_SsangJieuj ANGUL LETTER SSANGCIEUC */
+    new codepair(0x0eba, 0x314a), /*                Hangul_Cieuc ANGUL LETTER CHIEUCH */
+    new codepair(0x0ebb, 0x314b), /*               Hangul_Khieuq ANGUL LETTER KHIEUKH */
+    new codepair(0x0ebc, 0x314c), /*                Hangul_Tieut ANGUL LETTER THIEUTH */
+    new codepair(0x0ebd, 0x314d), /*               Hangul_Phieuf ANGUL LETTER PHIEUPH */
+    new codepair(0x0ebe, 0x314e), /*                Hangul_Hieuh ANGUL LETTER HIEUH */
+    new codepair(0x0ebf, 0x314f), /*                    Hangul_A ANGUL LETTER A */
+    new codepair(0x0ec0, 0x3150), /*                   Hangul_AE ANGUL LETTER AE */
+    new codepair(0x0ec1, 0x3151), /*                   Hangul_YA ANGUL LETTER YA */
+    new codepair(0x0ec2, 0x3152), /*                  Hangul_YAE ANGUL LETTER YAE */
+    new codepair(0x0ec3, 0x3153), /*                   Hangul_EO ANGUL LETTER EO */
+    new codepair(0x0ec4, 0x3154), /*                    Hangul_E ANGUL LETTER E */
+    new codepair(0x0ec5, 0x3155), /*                  Hangul_YEO ANGUL LETTER YEO */
+    new codepair(0x0ec6, 0x3156), /*                   Hangul_YE ANGUL LETTER YE */
+    new codepair(0x0ec7, 0x3157), /*                    Hangul_O ANGUL LETTER O */
+    new codepair(0x0ec8, 0x3158), /*                   Hangul_WA ANGUL LETTER WA */
+    new codepair(0x0ec9, 0x3159), /*                  Hangul_WAE ANGUL LETTER WAE */
+    new codepair(0x0eca, 0x315a), /*                   Hangul_OE ANGUL LETTER OE */
+    new codepair(0x0ecb, 0x315b), /*                   Hangul_YO ANGUL LETTER YO */
+    new codepair(0x0ecc, 0x315c), /*                    Hangul_U ANGUL LETTER U */
+    new codepair(0x0ecd, 0x315d), /*                  Hangul_WEO ANGUL LETTER WEO */
+    new codepair(0x0ece, 0x315e), /*                   Hangul_WE ANGUL LETTER WE */
+    new codepair(0x0ecf, 0x315f), /*                   Hangul_WI ANGUL LETTER WI */
+    new codepair(0x0ed0, 0x3160), /*                   Hangul_YU ANGUL LETTER YU */
+    new codepair(0x0ed1, 0x3161), /*                   Hangul_EU ANGUL LETTER EU */
+    new codepair(0x0ed2, 0x3162), /*                   Hangul_YI ANGUL LETTER YI */
+    new codepair(0x0ed3, 0x3163), /*                    Hangul_I ANGUL LETTER I */
+    new codepair(0x0ed4, 0x11a8), /*             Hangul_J_Kiyeog ANGUL JONGSEONG KIYEOK */
+    new codepair(0x0ed5, 0x11a9), /*        Hangul_J_SsangKiyeog ANGUL JONGSEONG SSANGKIYEOK */
+    new codepair(0x0ed6, 0x11aa), /*         Hangul_J_KiyeogSios ANGUL JONGSEONG KIYEOK-SIOS */
+    new codepair(0x0ed7, 0x11ab), /*              Hangul_J_Nieun ANGUL JONGSEONG NIEUN */
+    new codepair(0x0ed8, 0x11ac), /*         Hangul_J_NieunJieuj ANGUL JONGSEONG NIEUN-CIEUC */
+    new codepair(0x0ed9, 0x11ad), /*         Hangul_J_NieunHieuh ANGUL JONGSEONG NIEUN-HIEUH */
+    new codepair(0x0eda, 0x11ae), /*             Hangul_J_Dikeud ANGUL JONGSEONG TIKEUT */
+    new codepair(0x0edb, 0x11af), /*              Hangul_J_Rieul ANGUL JONGSEONG RIEUL */
+    new codepair(0x0edc, 0x11b0), /*        Hangul_J_RieulKiyeog ANGUL JONGSEONG RIEUL-KIYEOK */
+    new codepair(0x0edd, 0x11b1), /*         Hangul_J_RieulMieum ANGUL JONGSEONG RIEUL-MIEUM */
+    new codepair(0x0ede, 0x11b2), /*         Hangul_J_RieulPieub ANGUL JONGSEONG RIEUL-PIEUP */
+    new codepair(0x0edf, 0x11b3), /*          Hangul_J_RieulSios ANGUL JONGSEONG RIEUL-SIOS */
+    new codepair(0x0ee0, 0x11b4), /*         Hangul_J_RieulTieut ANGUL JONGSEONG RIEUL-THIEUTH */
+    new codepair(0x0ee1, 0x11b5), /*        Hangul_J_RieulPhieuf ANGUL JONGSEONG RIEUL-PHIEUPH */
+    new codepair(0x0ee2, 0x11b6), /*         Hangul_J_RieulHieuh ANGUL JONGSEONG RIEUL-HIEUH */
+    new codepair(0x0ee3, 0x11b7), /*              Hangul_J_Mieum ANGUL JONGSEONG MIEUM */
+    new codepair(0x0ee4, 0x11b8), /*              Hangul_J_Pieub ANGUL JONGSEONG PIEUP */
+    new codepair(0x0ee5, 0x11b9), /*          Hangul_J_PieubSios ANGUL JONGSEONG PIEUP-SIOS */
+    new codepair(0x0ee6, 0x11ba), /*               Hangul_J_Sios ANGUL JONGSEONG SIOS */
+    new codepair(0x0ee7, 0x11bb), /*          Hangul_J_SsangSios ANGUL JONGSEONG SSANGSIOS */
+    new codepair(0x0ee8, 0x11bc), /*              Hangul_J_Ieung ANGUL JONGSEONG IEUNG */
+    new codepair(0x0ee9, 0x11bd), /*              Hangul_J_Jieuj ANGUL JONGSEONG CIEUC */
+    new codepair(0x0eea, 0x11be), /*              Hangul_J_Cieuc ANGUL JONGSEONG CHIEUCH */
+    new codepair(0x0eeb, 0x11bf), /*             Hangul_J_Khieuq ANGUL JONGSEONG KHIEUKH */
+    new codepair(0x0eec, 0x11c0), /*              Hangul_J_Tieut ANGUL JONGSEONG THIEUTH */
+    new codepair(0x0eed, 0x11c1), /*             Hangul_J_Phieuf ANGUL JONGSEONG PHIEUPH */
+    new codepair(0x0eee, 0x11c2), /*              Hangul_J_Hieuh ANGUL JONGSEONG HIEUH */
+    new codepair(0x0eef, 0x316d), /*     Hangul_RieulYeorinHieuh ANGUL LETTER RIEUL-YEORINHIEUH */
+    new codepair(0x0ef0, 0x3171), /*    Hangul_SunkyeongeumMieum ANGUL LETTER KAPYEOUNMIEUM */
+    new codepair(0x0ef1, 0x3178), /*    Hangul_SunkyeongeumPieub ANGUL LETTER KAPYEOUNPIEUP */
+    new codepair(0x0ef2, 0x317f), /*              Hangul_PanSios ANGUL LETTER PANSIOS */
+    new codepair(0x0ef3, 0x3181), /*    Hangul_KkogjiDalrinIeung ANGUL LETTER YESIEUNG */
+    new codepair(0x0ef4, 0x3184), /*   Hangul_SunkyeongeumPhieuf ANGUL LETTER KAPYEOUNPHIEUPH */
+    new codepair(0x0ef5, 0x3186), /*          Hangul_YeorinHieuh ANGUL LETTER YEORINHIEUH */
+    new codepair(0x0ef6, 0x318d), /*                Hangul_AraeA ANGUL LETTER ARAEA */
+    new codepair(0x0ef7, 0x318e), /*               Hangul_AraeAE ANGUL LETTER ARAEAE */
+    new codepair(0x0ef8, 0x11eb), /*            Hangul_J_PanSios ANGUL JONGSEONG PANSIOS */
+    new codepair(0x0ef9, 0x11f0), /*  Hangul_J_KkogjiDalrinIeung ANGUL JONGSEONG YESIEUNG */
+    new codepair(0x0efa, 0x11f9), /*        Hangul_J_YeorinHieuh ANGUL JONGSEONG YEORINHIEUH */
+    new codepair(0x0eff, 0x20a9), /*                  Korean_Won ON SIGN */
+    new codepair(0x13bc, 0x0152), /*                          OE TIN CAPITAL LIGATURE OE */
+    new codepair(0x13bd, 0x0153), /*                          oe TIN SMALL LIGATURE OE */
+    new codepair(0x13be, 0x0178), /*                  Ydiaeresis TIN CAPITAL LETTER Y WITH DIAERESIS */
+    new codepair(0x20ac, 0x20ac), /*                    EuroSign URO SIGN */
     new codepair(0xfe50, 0x0300), /*                               COMBINING GRAVE ACCENT */
     new codepair(0xfe51, 0x0301), /*                               COMBINING ACUTE ACCENT */
     new codepair(0xfe52, 0x0302), /*                               COMBINING CIRCUMFLEX ACCENT */
